%if (0%{?rhel} && 0%{?rhel} < 6)
%global tomcat tomcat5
%else
%global tomcat tomcat6
%endif

%define help_root %{_localstatedir}/lib/%{tomcat}/webapps/rhn/help/release-notes
Name: rhn-i18n-release-notes
Summary: RHN Web i18n Release Notes
Group: RHN/Web
License: RHN Subscription License
Version: 5.7.0.0
Release: 3%{?dist}
Source0: %{name}-%{version}.tar.gz
Patch0: rhn-i18n-release-notes-5.7.0.0-1-to-rhn-i18n-release-notes-5.7.0.0-2.patch
Patch1: rhn-i18n-release-notes-5.7.0.0-2-to-rhn-i18n-release-notes-5.7.0.0-3.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: %{tomcat}
Requires: %{tomcat}

%description
This package contains the i18n Release Notes for the Red Hat Network
Satellite and Proxy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT%{help_root}
cp -fapRdv * $RPM_BUILD_ROOT%{help_root}
rm -f $RPM_BUILD_ROOT%{help_root}/*.spec

%post
# remove the cached help pages
rm -rf %{_localstatedir}/cache/%{tomcat}/work/Catalina/localhost/rhn/org/apache/jsp/help

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,tomcat,tomcat,755)
%dir %{help_root}
%{help_root}/*

%changelog
* Thu Jan 08 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.0-3
- 1153659 - update version of release notes

* Wed Jan 07 2015 Stephen Herr <sherr@redhat.com> 5.7.0.0-2
- Updating Sat 5.7 docs

* Fri Nov 14 2014 Tomas Lestach <tlestach@redhat.com> 5.7.0.0-1
- bumping rhn-i18n-release-notes version to 5.7, initial build

* Fri Nov 14 2014 Tomas Lestach <tlestach@redhat.com> 5.6.0.1-3
- 1156328 - Major_Book_Changes_in_the_channel-mgmt.jsp has been renamed

* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.1-2
- change Release Notes index page

* Wed Sep 25 2013 Tomas Lestach <tlestach@redhat.com> 5.6.0.1-1
- 5.6.0 Release_Notes
- bumping rhn-i18n-release-notes version to 5.6

* Fri Nov 09 2012 Stephen Herr <sherr@redhat.com> 5.5.0.2-1
- bumping release-notes version to get proper rebuild

* Thu Nov 08 2012 Stephen Herr <sherr@redhat.com> 5.5.0.1-2
- 863245 - updateing release notes index page to say 5.5

* Thu Oct 04 2012 Stephen Herr <sherr@redhat.com> 5.5.0.1-1
- making version correct (sherr@redhat.com)

* Wed Oct 03 2012 Stephen Herr <sherr@redhat.com> 5.4.0.9-1
- Sat 5.5 english docs (sherr@redhat.com)

* Mon May 30 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.8-1
- 5.4.0 Release Notes (tlestach@redhat.com)

* Mon Mar 07 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.7-1
- define tomcat macro for rhn-i18n-release-notes.spec (tlestach@redhat.com)

* Thu Mar 03 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.6-1
- build/require tomcat6 on rhel6 (tlestach@redhat.com)

* Fri Oct 01 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.4-1
- fixing incorrect version information (jsherril@redhat.com)

* Thu Sep 23 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.3-1
- rebuild

* Thu Sep 23 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.2-1
- rebuild 

* Wed Sep 22 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.1-1
- bumping version (jsherril@redhat.com)

* Wed Sep 22 2010 Justin Sherrill <jsherril@redhat.com> 5.3.0.9-1
- adding 5.4 docs (jsherril@redhat.com)

* Tue May 11 2010 Justin Sherrill <jsherril@redhat.com> 5.3.0.8-1
- another round of doc fixes (jsherril@redhat.com)

* Wed Jul 22 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.7-1
- add VMware notes (jha@redhat.com)

* Thu Jun 11 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.6-1
- rebase release-notes (jesusr@redhat.com)
- 503044 - SELinux + Monitoring - tech Preview for 530 (jha@redhat.com)

* Fri Jun 05 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.5-1
- change perms from 744 to 755 of release-notes directory

* Wed May 27 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.4-1
- update i18n release notes (jesusr@redhat.com)

* Fri May 22 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.3-1
- reversion

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.2-1
- reversion to 5.3.0.x

* Tue Apr 14 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.6-1
- 495113 - do not copy spec file to buildroot

* Mon Apr 13 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.5-1
- rebuild

* Thu Apr 09 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.4-1
- add (Build)Requires: tomcat5

* Wed Apr 01 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.3-2
- remove Requires: spacewalk-java.

* Fri Mar 20 2009 jesus m. rodriguez 5.3.3-1
- removed files.list

* Fri Mar 20 2009 jesus m. rodriguez 5.3.2-1
- rebuilding for 5.3.0
- rework spec file to be a bit more compliant

* Mon Sep  8 2008 Jan Pazdziora 5.2.0-1
- rebuild in brew for 5.2.0
